#!/usr/bin/env bash
DIR="$( cd "$( dirname "${BASH_SOURCE[0]}" )" >/dev/null 2>&1 && pwd )"
export PATH="$PATH:$DIR/bin"
export NETSCAN_BIN_PATH="$DIR/bin/netscan"
cd "$DIR" || exit 1
echo "🛡️  Running the bridge agent as ROOT (required for netscan)..."
exec sudo -E ./bridge_agent
